name: Dilan Orrino
start_date: 2021-03-01
locality: Chapel Hill, NC
country: United States
role: <a href="">Senior Product Manager</a>
reports_to: dir-of-product-enablement
picture: dorrino.png
pronouns:
pronunciation:
twitter:
linkedin:
gitlab: dorrino
departments:
  - Product Management
specialty: Distribution
expertise:
story: Dilan was born and raised in colorful Colorado, where he also attended Colorado School of Mines for his undergrad and grad. Origially slated for a career as an engineer in Oil and Gas, Dilan found a passion entrepreneurship and creativity which landed him in a product management role in tech. He likes to find creative solutions for user pain points, and delivering delightful experiences in products. You will typically find him in his garage working on a project car, finding some DIY project around his house, or in the mountains somewhere camping, skiing or mountain biking.

